'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.formatLocation = formatLocation;
exports.formatError = formatError;

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _assertionErrorFormatter = require('assertion-error-formatter');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function formatLocation(cwd, obj) {
  return _path2.default.relative(cwd, obj.uri) + ':' + obj.line;
}

function formatError(error, colorFns) {
  return (0, _assertionErrorFormatter.format)(error, {
    colorFns: {
      diffAdded: colorFns.red,
      diffRemoved: colorFns.green,
      errorMessage: colorFns.red,
      errorStack: colorFns.gray
    }
  });
}